Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » Set Version of Plugins Generated from Ecore(Is there a way to set the version of the plugins generated from an Ecore model?)
icon5.gif  Set Version of Plugins Generated from Ecore [message #1485388] Mon, 24 November 2014 07:41 Go to next message
Timo Rohrberg is currently offline Timo RohrbergFriend
Messages: 69
Registered: September 2011
Location: Karlsruhe
Member
Hello everybody,

based on an Ecore model living in its own "Generic Project", I am generating the complete Model, Edit, and Editor plugins via the Eclipse IDE (and later via Tycho within an automated build environment). Those plugins are not shared via GIT since they are completely generated.

Unfortunately, all the plugins get the version 1.0.0.qualifier. Is there any way to set the desired version which is written to the MANIFEST.MF file within the Ecore model or the generator model? I would like to avoid sharing those projects in the SCM just for maintaining the plugins' versions.

I appreciate any hint. Thank you very much.
Timo
Re: Set Version of Plugins Generated from Ecore [message #1489406 is a reply to message #1485388] Thu, 27 November 2014 10:36 Go to previous message
Jonas Helming is currently offline Jonas HelmingFriend
Messages: 699
Registered: July 2009
Senior Member
Hi,

what is your main motivation of not sharing those bundles? Even if they
are completely generated, it does not do any harm in experience. In any
case, I would at least share the bundle itself. Besides the version,
there might be other things you want to adapt, e.g. the package
visibility. If you do not want to share the bundle, I think you need to
adapt the code generator.

Best regards

Jonas

Am 24.11.2014 08:41, schrieb Timo Rohrberg:
> Hello everybody,
>
> based on an Ecore model living in its own "Generic Project", I am
> generating the complete Model, Edit, and Editor plugins via the Eclipse
> IDE (and later via Tycho within an automated build environment). Those
> plugins are not shared via GIT since they are completely generated.
>
> Unfortunately, all the plugins get the version 1.0.0.qualifier. Is there
> any way to set the desired version which is written to the MANIFEST.MF
> file within the Ecore model or the generator model? I would like to
> avoid sharing those projects in the SCM just for maintaining the
> plugins' versions.
>
> I appreciate any hint. Thank you very much.
> Timo


--
Get professional Eclipse developer support:
http://eclipsesource.com/en/services/developer-support/
Previous Topic:[EMF Forms]Reference feature is not supported when using Dynamic EMF
Next Topic:[EMFStore] Performance Hit by number of checked out projects
Goto Forum:
  


Current Time: Sun Mar 29 06:14:22 GMT 2020

Powered by FUDForum. Page generated in 0.02453 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top